This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 985305 - Dependency problem when updating to nodejs-lru-cache-2.3.0
Dependency problem when updating to nodejs-lru-cache-2.3.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nodejs-lru-cache (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
: 986087 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 05:29 EDT by rf
Modified: 2013-07-22 21:04 EDT (History)
9 users (show)

See Also:
Fixed In Version: nodejs-fstream-0.1.23-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:00:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description rf 2013-07-17 05:29:36 EDT
Description of problem:

yum update --skip-broken
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package nodejs-lru-cache.noarch 0:2.2.2-1.fc18 will be updated
--> Processing Dependency: npm(lru-cache) < 2.3 for package: npm-1.2.14-2.fc18.noarch
--> Processing Dependency: npm(lru-cache) < 2.3 for package: nodejs-read-package-json-0.2.2-1.fc18.noarch
---> Package nodejs-lru-cache.noarch 0:2.3.0-3.fc18 will be an update

Packages skipped because of dependency problems:
    nodejs-lru-cache-2.3.0-3.fc18.noarch from updates
Comment 1 T.C. Hollingsworth 2013-07-17 06:14:09 EDT
Sorry, that package accidentally got dragged into an unrelated update.

You can either use the newer npm from updates-testing [1] that uses this version of nodejs-lru-cache (with `yum --enablerepo=updates-testing update npm`) or just ignore this error until that update gets pushed stable.

[1] https://admin.fedoraproject.org/updates/FEDORA-2013-11780/
Comment 2 T.C. Hollingsworth 2013-07-20 11:05:47 EDT
*** Bug 986087 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2013-07-22 06:24:36 EDT
nodejs-fstream-0.1.23-1.fc19, nodejs-glob-3.2.3-1.fc19, node-gyp-0.10.6-1.fc19, nodejs-lockfile-0.4.0-1.fc19, nodejs-npm-registry-client-0.2.27-1.fc19, nodejs-semver-2.0.10-1.fc19, nodejs-sha-1.0.1-4.fc19, npm-1.3.3-1.fc19, nodejs-graceful-fs-2.0.0-2.fc19, nodejs-npmlog-0.0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-12908/nodejs-fstream-0.1.23-1.fc19,nodejs-glob-3.2.3-1.fc19,nodejs-graceful-fs-2.0.0-2.fc19,node-gyp-0.10.6-1.fc19,nodejs-lockfile-0.4.0-1.fc19,nodejs-npm-registry-client-0.2.27-1.fc19,nodejs-semver-2.0.10-1.fc19,nodejs-sha-1.0.1-4.fc19,npm-1.3.3-1.fc19,nodejs-npmlog-0.0.4-1.fc19
Comment 4 Fedora Update System 2013-07-22 06:26:54 EDT
nodejs-callsite-1.0.0-2.fc18, nodejs-inherits1-1.0.0-11.fc18, nodejs-cmd-shim-1.1.0-3.fc18, nodejs-editor-0.0.4-2.fc18, nodejs-child-process-close-0.1.1-2.fc18, nodejs-npm-user-validate-0.0.3-1.fc18, nodejs-better-assert-1.0.0-2.fc18, nodejs-github-url-from-git-1.1.1-2.fc18, nodejs-ctype-0.5.3-3.fc18, nodejs-asn1-0.1.11-3.fc18, nodejs-http-signature-0.10.0-3.fc18, nodejs-ansi-0.2.0-1.fc18, nodejs-aws-sign-0.3.0-1.fc18, nodejs-config-chain-1.1.7-1.fc18, nodejs-cookie-jar-0.3.0-1.fc18, nodejs-couch-login-0.1.17-1.fc18, nodejs-cryptiles-0.2.1-1.fc18, nodejs-forever-agent-0.5.0-1.fc18, nodejs-form-data-0.0.10-1.fc18, nodejs-fstream-ignore-0.0.7-1.fc18, nodejs-fstream-npm-0.1.5-1.fc18, nodejs-hawk-0.15.0-1.fc18, nodejs-hoek-0.9.1-1.fc18, nodejs-init-package-json-0.0.10-1.fc18, nodejs-json-stringify-safe-5.0.0-1.fc18, nodejs-npmconf-0.1.1-1.fc18, nodejs-oauth-sign-0.3.0-1.fc18, nodejs-read-installed-0.2.2-1.fc18, nodejs-read-package-json-1.1.0-2.fc18, nodejs-request-2.21.0-1.fc18, nodejs-rimraf-2.2.0-1.fc18, nodejs-sntp-0.2.4-1.fc18, nodejs-tunnel-agent-0.3.0-1.fc18, nodejs-normalize-package-data-0.2.0-1.fc18, nodejs-boom-0.4.2-2.fc18, nodejs-slide-1.1.4-1.fc18, nodejs-inherits-2.0.0-3.fc18, nodejs-vows-0.7.0-6.fc18, npm-1.3.3-1.fc18, nodejs-tap-0.4.1-6.fc18, nodejs-fstream-0.1.23-1.fc18, nodejs-glob-3.2.3-1.fc18, node-gyp-0.10.6-1.fc18, nodejs-lockfile-0.4.0-1.fc18, nodejs-npm-registry-client-0.2.27-1.fc18, nodejs-semver-2.0.10-1.fc18, nodejs-sha-1.0.1-4.fc18, nodejs-graceful-fs-2.0.0-2.fc18, nodejs-npmlog-0.0.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-11780/nodejs-callsite-1.0.0-2.fc18,nodejs-inherits1-1.0.0-11.fc18,nodejs-cmd-shim-1.1.0-3.fc18,nodejs-editor-0.0.4-2.fc18,nodejs-child-process-close-0.1.1-2.fc18,nodejs-npm-user-validate-0.0.3-1.fc18,nodejs-better-assert-1.0.0-2.fc18,nodejs-normalize-package-data-0.2.0-1.fc18,nodejs-github-url-from-git-1.1.1-2.fc18,nodejs-ctype-0.5.3-3.fc18,nodejs-asn1-0.1.11-3.fc18,nodejs-http-signature-0.10.0-3.fc18,nodejs-ansi-0.2.0-1.fc18,nodejs-aws-sign-0.3.0-1.fc18,nodejs-boom-0.4.2-2.fc18,nodejs-config-chain-1.1.7-1.fc18,nodejs-cookie-jar-0.3.0-1.fc18,nodejs-couch-login-0.1.17-1.fc18,nodejs-cryptiles-0.2.1-1.fc18,nodejs-forever-agent-0.5.0-1.fc18,nodejs-form-data-0.0.10-1.fc18,nodejs-fstream-ignore-0.0.7-1.fc18,nodejs-fstream-npm-0.1.5-1.fc18,nodejs-hawk-0.15.0-1.fc18,nodejs-hoek-0.9.1-1.fc18,nodejs-inherits-2.0.0-3.fc18,nodejs-init-package-json-0.0.10-1.fc18,nodejs-json-stringify-safe-5.0.0-1.fc18,nodejs-npmconf-0.1.1-1.fc18,nodejs-oauth-sign-0.3.0-1.fc18,nodejs-read-installed-0.2.2-1.fc18,nodejs-read-package-json-1.1.0-2.fc18,nodejs-request-2.21.0-1.fc18,nodejs-rimraf-2.2.0-1.fc18,nodejs-slide-1.1.4-1.fc18,nodejs-sntp-0.2.4-1.fc18,nodejs-tunnel-agent-0.3.0-1.fc18,npm-1.3.3-1.fc18,nodejs-tap-0.4.1-6.fc18,nodejs-vows-0.7.0-6.fc18,nodejs-fstream-0.1.23-1.fc18,nodejs-glob-3.2.3-1.fc18,nodejs-graceful-fs-2.0.0-2.fc18,node-gyp-0.10.6-1.fc18,nodejs-lockfile-0.4.0-1.fc18,nodejs-npm-registry-client-0.2.27-1.fc18,nodejs-semver-2.0.10-1.fc18,nodejs-sha-1.0.1-4.fc18,nodejs-npmlog-0.0.4-1.fc18
Comment 5 Fedora Update System 2013-07-22 21:00:27 EDT
nodejs-callsite-1.0.0-2.fc18, nodejs-inherits1-1.0.0-11.fc18, nodejs-cmd-shim-1.1.0-3.fc18, nodejs-editor-0.0.4-2.fc18, nodejs-child-process-close-0.1.1-2.fc18, nodejs-npm-user-validate-0.0.3-1.fc18, nodejs-better-assert-1.0.0-2.fc18, nodejs-github-url-from-git-1.1.1-2.fc18, nodejs-ctype-0.5.3-3.fc18, nodejs-asn1-0.1.11-3.fc18, nodejs-http-signature-0.10.0-3.fc18, nodejs-ansi-0.2.0-1.fc18, nodejs-aws-sign-0.3.0-1.fc18, nodejs-config-chain-1.1.7-1.fc18, nodejs-cookie-jar-0.3.0-1.fc18, nodejs-couch-login-0.1.17-1.fc18, nodejs-cryptiles-0.2.1-1.fc18, nodejs-forever-agent-0.5.0-1.fc18, nodejs-form-data-0.0.10-1.fc18, nodejs-fstream-ignore-0.0.7-1.fc18, nodejs-fstream-npm-0.1.5-1.fc18, nodejs-hawk-0.15.0-1.fc18, nodejs-hoek-0.9.1-1.fc18, nodejs-init-package-json-0.0.10-1.fc18, nodejs-json-stringify-safe-5.0.0-1.fc18, nodejs-npmconf-0.1.1-1.fc18, nodejs-oauth-sign-0.3.0-1.fc18, nodejs-read-installed-0.2.2-1.fc18, nodejs-read-package-json-1.1.0-2.fc18, nodejs-request-2.21.0-1.fc18, nodejs-rimraf-2.2.0-1.fc18, nodejs-sntp-0.2.4-1.fc18, nodejs-tunnel-agent-0.3.0-1.fc18, nodejs-normalize-package-data-0.2.0-1.fc18, nodejs-boom-0.4.2-2.fc18, nodejs-slide-1.1.4-1.fc18, nodejs-inherits-2.0.0-3.fc18, nodejs-vows-0.7.0-6.fc18, npm-1.3.3-1.fc18, nodejs-tap-0.4.1-6.fc18, nodejs-fstream-0.1.23-1.fc18, nodejs-glob-3.2.3-1.fc18, node-gyp-0.10.6-1.fc18, nodejs-lockfile-0.4.0-1.fc18, nodejs-npm-registry-client-0.2.27-1.fc18, nodejs-semver-2.0.10-1.fc18, nodejs-sha-1.0.1-4.fc18, nodejs-graceful-fs-2.0.0-2.fc18, nodejs-npmlog-0.0.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-07-22 21:04:23 EDT
nodejs-fstream-0.1.23-1.fc19, nodejs-glob-3.2.3-1.fc19, node-gyp-0.10.6-1.fc19, nodejs-lockfile-0.4.0-1.fc19, nodejs-npm-registry-client-0.2.27-1.fc19, nodejs-semver-2.0.10-1.fc19, nodejs-sha-1.0.1-4.fc19, npm-1.3.3-1.fc19, nodejs-graceful-fs-2.0.0-2.fc19, nodejs-npmlog-0.0.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.